# Generated from tagmemics-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name tagmemics

Name: rubygem-%{gem_name}
Version: 0.0.2
Release: 1%{?dist}
Summary: Detect parts of speech from a sentence
License: MIT
URL: http://github.com/m8ss/tagmemics
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(shoulda) >= 3.5
# BuildRequires: rubygem(shoulda) < 4
# BuildRequires: rubygem(shoulda-context) >= 1.2
# BuildRequires: rubygem(shoulda-context) < 2
# BuildRequires: rubygem(minitest-reporters) >= 1.1
# BuildRequires: rubygem(minitest-reporters) < 2
# BuildRequires: rubygem(pry) >= 0.9
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(mechanize) >= 2.7
# BuildRequires: rubygem(mechanize) < 3
BuildArch: noarch

%description
The English language is extremely complicated.  We have words that can
have multiple
parts of speech.  Natural language processing is difficult because it is hard
to
tell if a word is a noun when it could be a verb or an adjective, etc.
The purpose of this project is to develop an algorithm that, given a sentence
string,
has a ranking system that detects the part of speech of each word.
Why is the useful?  Because understanding the correct parts of speech in a
sentence
is the first step to teaching a robot how to read.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Thu Sep 16 2021 mockbuilder - 0.0.2-1
- Initial package
